package cn.com.poc.thirdparty.resource.demand.ai.entity.knowledge;


import cn.com.poc.thirdparty.resource.demand.ai.constants.KnowledgeSearchTypeEnum;

/**
 * @author alex.yao
 * @date 2025/2/18
 */
public class VectorSearchConfig {

    /**
     * apiKey
     */
    private String apiKey;

    /**
     * 语义查询，关键字查询，混合查询
     */
    private KnowledgeSearchTypeEnum searchType;


    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    public KnowledgeSearchTypeEnum getSearchType() {
        return searchType;
    }

    public void setSearchType(KnowledgeSearchTypeEnum searchType) {
        this.searchType = searchType;
    }

}
